CURSES_INSERTCH(3) | Library Functions Manual | CURSES_INSERTCH(3)

# NAME

curses_insert, insch, winsch, mvinsch, mvwinsch — curses insert characters routines

# LIBRARY

Curses Library (libcurses, -lcurses)

# SYNOPSIS

#include <curses.h>

int
insch(chtype ch);

int
winsch(WINDOW *win, chtype ch);

int
mvinsch(int y, int x, chtype ch);

int
mvwinsch(WINDOW *win, int y, int x, chtype ch);

# DESCRIPTION

These functions insert characters on stdscr or on the specified window.

The insch() function inserts the character given in ch at the current cursor position on stdscr. The cursor is not advanced and wrapping is not performed.

The winsch() function is the same as the insch() function, excepting that the character is inserted on the window specified by win.

The mvinsch() and mvwinsch() functions are the same as the insch() and insch() functions, respectively, excepting that wmove() is called to move the cursor to the position specified by y, x before the character is inserted on the window.

# RETURN VALUES

Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following values:

OK
  The function completed successfully.
ERR
  An error occurred in the function.

# SEE ALSO

curses_addch(3), curses_cursor(3), curses_delch(3)

# STANDARDS

The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

# HISTORY

The Curses package appeared in 4.0BSD.

February 5, 2006 | NetBSD 7.2